Page MenuHomePhabricator

Add https support to the load command.
Closed, ResolvedPublic

Description

At the moment the load command does not support https. I have a flask application which generates my router configurations on demand.
It would be nice if I could fetch the configuration via https instead of http.

vyos@vyos# load ?
Possible completions:
  <Enter>				Load from system config file
  <file>				Load from file on local machine
  scp://<user>:<passwd>@<host>/<file>	Load from file on remote machine
  sftp://<user>:<passwd>@<host>/<file>	Load from file on remote machine
  ftp://<user>:<passwd>@<host>/<file>	Load from file on remote machine
  http://<host>/<file>			Load from file on remote machine
  tftp://<host>/<file>			Load from file on remote machine

Details

Difficulty level
Normal (likely a few hours)
Version
-
Why the issue appeared?
Will be filled on close
afics created this task.Mar 3 2017, 8:45 AM
syncer triaged this task as Wishlist priority.Aug 1 2017, 3:30 AM
syncer changed the edit policy from "Task Author" to "Custom Policy".
syncer added a project: VyOS 1.2.x.
syncer changed Difficulty level from Easy (less than an hour) to Normal (likely a few hours).
syncer set Version to -.
syncer reassigned this task from syncer to c-po.Nov 3 2017, 12:58 PM
syncer added subscribers: c-po, syncer.

@c-po is something that you can add?

c-po added a comment.Nov 8 2017, 10:15 AM

@afics @syncer done, will be in the next nightly build

c-po added a comment.Nov 22 2017, 6:10 AM

@afics is this implementation as expected? If so, this feature request is completed @syncer.

c-po closed this task as Resolved.Dec 9 2017, 2:58 PM